Bug 519540

Summary: qemu slows down dramatically using the SDL graphics backend and ac97 sound driver
Product: [Fedora] Fedora Reporter: Cepreu <cepreu.mail>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: berrange, dwmw2, gcosta, itamar, jaswinder, long, markmc, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 10:19:19 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 480594    
Attachments:
Description Flags
Example kickstart file. none

Description Cepreu 2009-08-26 20:32:56 EDT
Created attachment 358794 [details]
Example kickstart file.

Description of problem:
Qemu freezes with ac97 sound emulation.

Version-Release number of selected component (if applicable):
qemu-system-x86-0.10.6-1.fc11.i586

How reproducible:
Just load into qemu with -soundhw ac97 some fedora livecd. And wait for some time. Maybe it was sooner, maybe not but about 5 minutes virtual machine freezes, so when you move mouse it looks like slideshow.

Steps to Reproduce (example):
1.Create livecd with kickstart in attachment.
2.Type "export QEMU_AUDIO_DRV=pa" in console, where you want to run qemu. It is necessary for working sound. Without it qemu writes "audio: Failed to create voice `ac97.pi'" and sound does not work.
3.Load it into  qemu with command "qemu-kvm -m 320 -vga std -soundhw ac97 -cdrom livecd-fedora-kde-cepreu.iso". (you must be superuser, of course)
4.Wait for some time.
  
Actual results:
Guest OS works veeeeeeery slow after some time.

Expected results:
It must not be slow motion picture.

Additional info:
1. It not only with one cd. I checked Fedora 10 custom made livedvd, and Fedora 7 also. Problem still here.
2. If use "-soundhw es1370", all works fine.
Comment 1 Mark McLoughlin 2009-09-04 06:52:54 EDT
I'm pushing this change to updates-testing, so you shouldn't need to use QEMU_AUDIO_DRV=pa anymore

* Fri Sep  4 2009 Mark McLoughlin <markmc@redhat.com> - 2:0.10.6-4
- Make pulseaudio the default audio backend (#519540, #495964, #496627)

I think I can reproduce what you're seeing with the SDL graphics backend, but it seems to work fine with VNC

Could you confirm that the problem goes away if you run with e.g. '-vnc :1' (and running 'vncviewer localhost:1') ?
Comment 2 Cepreu 2009-09-05 06:54:11 EDT
Yes, i confirm. Problem goes away.
Comment 3 Mark McLoughlin 2009-09-11 09:30:21 EDT
Thanks for confirming
Comment 4 Fedora Admin XMLRPC Client 2010-03-09 11:54:11 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2010-03-09 12:17:39 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Bug Zapper 2010-04-28 06:00:16 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 10:19:19 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.